<?php

namespace Modules\User\Models;

use App\Models\Model;
use Modules\User\Events\UserCertificationSuccess;
use Modules\User\Traits\BelongsToUser;

class UserCertification extends Model
{

    use BelongsToUser;

    protected $casts = [
        'verified' => 'boolean',
    ];

    protected static function boot()
    {
        parent::boot();

        self::created(function ($certification) {
            event(new UserCertificationSuccess($certification));
        });
    }

}